IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network167.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
- Network address
167.0.0.0- Broadcast address
167.127.255.255- First usable
167.0.0.1- Last usable
167.127.255.254- Usable hosts
- 8,388,606 (8,388,608 less the network and broadcast addresses)
- Subnet mask
255.128.0.0- Wildcard mask
0.127.255.255(Cisco ACLs, OSPF)- Prefix length
- /9
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
A7000000· Integer2801795072to2810183679 - Reverse DNS zones
0.167.in-addr.arpa1.167.in-addr.arpa2.167.in-addr.arpa3.167.in-addr.arpa4.167.in-addr.arpa5.167.in-addr.arpa6.167.in-addr.arpa7.167.in-addr.arpa8.167.in-addr.arpa9.167.in-addr.arpa10.167.in-addr.arpa11.167.in-addr.arpa12.167.in-addr.arpa13.167.in-addr.arpa14.167.in-addr.arpa15.167.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10100111.00000000.00000000.00000000 | 167.0.0.0 |
| Subnet mask | 11111111.10000000.00000000.00000000 | 255.128.0.0 |
| Network | 10100111.00000000.00000000.00000000 | 167.0.0.0 |
| Broadcast | 10100111.01111111.11111111.11111111 | 167.127.255.255 |
Split into smaller subnets
/10 (2)/11 (4)/12 (8)/13 (16)/14 (32)/15 (64)/16 (128)/17 (256)/18 (512)/19 (1,024)/20 (2,048)/21 (4,096)
167.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 167.0.0.0/18 | 167.0.0.1 to 167.0.63.254 | 167.0.63.255 | 16,382 |
| 2 | 167.0.64.0/18 | 167.0.64.1 to 167.0.127.254 | 167.0.127.255 | 16,382 |
| 3 | 167.0.128.0/18 | 167.0.128.1 to 167.0.191.254 | 167.0.191.255 | 16,382 |
| 4 | 167.0.192.0/18 | 167.0.192.1 to 167.0.255.254 | 167.0.255.255 | 16,382 |
| 5 | 167.1.0.0/18 | 167.1.0.1 to 167.1.63.254 | 167.1.63.255 | 16,382 |
| 6 | 167.1.64.0/18 | 167.1.64.1 to 167.1.127.254 | 167.1.127.255 | 16,382 |
| 7 | 167.1.128.0/18 | 167.1.128.1 to 167.1.191.254 | 167.1.191.255 | 16,382 |
| 8 | 167.1.192.0/18 | 167.1.192.1 to 167.1.255.254 | 167.1.255.255 | 16,382 |
| 9 | 167.2.0.0/18 | 167.2.0.1 to 167.2.63.254 | 167.2.63.255 | 16,382 |
| 10 | 167.2.64.0/18 | 167.2.64.1 to 167.2.127.254 | 167.2.127.255 | 16,382 |
| 11 | 167.2.128.0/18 | 167.2.128.1 to 167.2.191.254 | 167.2.191.255 | 16,382 |
| 12 | 167.2.192.0/18 | 167.2.192.1 to 167.2.255.254 | 167.2.255.255 | 16,382 |
| 13 | 167.3.0.0/18 | 167.3.0.1 to 167.3.63.254 | 167.3.63.255 | 16,382 |
| 14 | 167.3.64.0/18 | 167.3.64.1 to 167.3.127.254 | 167.3.127.255 | 16,382 |
| 15 | 167.3.128.0/18 | 167.3.128.1 to 167.3.191.254 | 167.3.191.255 | 16,382 |
| 16 | 167.3.192.0/18 | 167.3.192.1 to 167.3.255.254 | 167.3.255.255 | 16,382 |
| 17 | 167.4.0.0/18 | 167.4.0.1 to 167.4.63.254 | 167.4.63.255 | 16,382 |
| 18 | 167.4.64.0/18 | 167.4.64.1 to 167.4.127.254 | 167.4.127.255 | 16,382 |
| 19 | 167.4.128.0/18 | 167.4.128.1 to 167.4.191.254 | 167.4.191.255 | 16,382 |
| 20 | 167.4.192.0/18 | 167.4.192.1 to 167.4.255.254 | 167.4.255.255 | 16,382 |
| 21 | 167.5.0.0/18 | 167.5.0.1 to 167.5.63.254 | 167.5.63.255 | 16,382 |
| 22 | 167.5.64.0/18 | 167.5.64.1 to 167.5.127.254 | 167.5.127.255 | 16,382 |
| 23 | 167.5.128.0/18 | 167.5.128.1 to 167.5.191.254 | 167.5.191.255 | 16,382 |
| 24 | 167.5.192.0/18 | 167.5.192.1 to 167.5.255.254 | 167.5.255.255 | 16,382 |
| 25 | 167.6.0.0/18 | 167.6.0.1 to 167.6.63.254 | 167.6.63.255 | 16,382 |
| 26 | 167.6.64.0/18 | 167.6.64.1 to 167.6.127.254 | 167.6.127.255 | 16,382 |
| 27 | 167.6.128.0/18 | 167.6.128.1 to 167.6.191.254 | 167.6.191.255 | 16,382 |
| 28 | 167.6.192.0/18 | 167.6.192.1 to 167.6.255.254 | 167.6.255.255 | 16,382 |
| 29 | 167.7.0.0/18 | 167.7.0.1 to 167.7.63.254 | 167.7.63.255 | 16,382 |
| 30 | 167.7.64.0/18 | 167.7.64.1 to 167.7.127.254 | 167.7.127.255 | 16,382 |
| 31 | 167.7.128.0/18 | 167.7.128.1 to 167.7.191.254 | 167.7.191.255 | 16,382 |
| 32 | 167.7.192.0/18 | 167.7.192.1 to 167.7.255.254 | 167.7.255.255 | 16,382 |
| 33 | 167.8.0.0/18 | 167.8.0.1 to 167.8.63.254 | 167.8.63.255 | 16,382 |
| 34 | 167.8.64.0/18 | 167.8.64.1 to 167.8.127.254 | 167.8.127.255 | 16,382 |
| 35 | 167.8.128.0/18 | 167.8.128.1 to 167.8.191.254 | 167.8.191.255 | 16,382 |
| 36 | 167.8.192.0/18 | 167.8.192.1 to 167.8.255.254 | 167.8.255.255 | 16,382 |
| 37 | 167.9.0.0/18 | 167.9.0.1 to 167.9.63.254 | 167.9.63.255 | 16,382 |
| 38 | 167.9.64.0/18 | 167.9.64.1 to 167.9.127.254 | 167.9.127.255 | 16,382 |
| 39 | 167.9.128.0/18 | 167.9.128.1 to 167.9.191.254 | 167.9.191.255 | 16,382 |
| 40 | 167.9.192.0/18 | 167.9.192.1 to 167.9.255.254 | 167.9.255.255 | 16,382 |
| 41 | 167.10.0.0/18 | 167.10.0.1 to 167.10.63.254 | 167.10.63.255 | 16,382 |
| 42 | 167.10.64.0/18 | 167.10.64.1 to 167.10.127.254 | 167.10.127.255 | 16,382 |
| 43 | 167.10.128.0/18 | 167.10.128.1 to 167.10.191.254 | 167.10.191.255 | 16,382 |
| 44 | 167.10.192.0/18 | 167.10.192.1 to 167.10.255.254 | 167.10.255.255 | 16,382 |
| 45 | 167.11.0.0/18 | 167.11.0.1 to 167.11.63.254 | 167.11.63.255 | 16,382 |
| 46 | 167.11.64.0/18 | 167.11.64.1 to 167.11.127.254 | 167.11.127.255 | 16,382 |
| 47 | 167.11.128.0/18 | 167.11.128.1 to 167.11.191.254 | 167.11.191.255 | 16,382 |
| 48 | 167.11.192.0/18 | 167.11.192.1 to 167.11.255.254 | 167.11.255.255 | 16,382 |
| 49 | 167.12.0.0/18 | 167.12.0.1 to 167.12.63.254 | 167.12.63.255 | 16,382 |
| 50 | 167.12.64.0/18 | 167.12.64.1 to 167.12.127.254 | 167.12.127.255 | 16,382 |
| 51 | 167.12.128.0/18 | 167.12.128.1 to 167.12.191.254 | 167.12.191.255 | 16,382 |
| 52 | 167.12.192.0/18 | 167.12.192.1 to 167.12.255.254 | 167.12.255.255 | 16,382 |
| 53 | 167.13.0.0/18 | 167.13.0.1 to 167.13.63.254 | 167.13.63.255 | 16,382 |
| 54 | 167.13.64.0/18 | 167.13.64.1 to 167.13.127.254 | 167.13.127.255 | 16,382 |
| 55 | 167.13.128.0/18 | 167.13.128.1 to 167.13.191.254 | 167.13.191.255 | 16,382 |
| 56 | 167.13.192.0/18 | 167.13.192.1 to 167.13.255.254 | 167.13.255.255 | 16,382 |
| 57 | 167.14.0.0/18 | 167.14.0.1 to 167.14.63.254 | 167.14.63.255 | 16,382 |
| 58 | 167.14.64.0/18 | 167.14.64.1 to 167.14.127.254 | 167.14.127.255 | 16,382 |
| 59 | 167.14.128.0/18 | 167.14.128.1 to 167.14.191.254 | 167.14.191.255 | 16,382 |
| 60 | 167.14.192.0/18 | 167.14.192.1 to 167.14.255.254 | 167.14.255.255 | 16,382 |
| 61 | 167.15.0.0/18 | 167.15.0.1 to 167.15.63.254 | 167.15.63.255 | 16,382 |
| 62 | 167.15.64.0/18 | 167.15.64.1 to 167.15.127.254 | 167.15.127.255 | 16,382 |
| 63 | 167.15.128.0/18 | 167.15.128.1 to 167.15.191.254 | 167.15.191.255 | 16,382 |
| 64 | 167.15.192.0/18 | 167.15.192.1 to 167.15.255.254 | 167.15.255.255 | 16,382 |
| 65 | 167.16.0.0/18 | 167.16.0.1 to 167.16.63.254 | 167.16.63.255 | 16,382 |
| 66 | 167.16.64.0/18 | 167.16.64.1 to 167.16.127.254 | 167.16.127.255 | 16,382 |
| 67 | 167.16.128.0/18 | 167.16.128.1 to 167.16.191.254 | 167.16.191.255 | 16,382 |
| 68 | 167.16.192.0/18 | 167.16.192.1 to 167.16.255.254 | 167.16.255.255 | 16,382 |
| 69 | 167.17.0.0/18 | 167.17.0.1 to 167.17.63.254 | 167.17.63.255 | 16,382 |
| 70 | 167.17.64.0/18 | 167.17.64.1 to 167.17.127.254 | 167.17.127.255 | 16,382 |
| 71 | 167.17.128.0/18 | 167.17.128.1 to 167.17.191.254 | 167.17.191.255 | 16,382 |
| 72 | 167.17.192.0/18 | 167.17.192.1 to 167.17.255.254 | 167.17.255.255 | 16,382 |
| 73 | 167.18.0.0/18 | 167.18.0.1 to 167.18.63.254 | 167.18.63.255 | 16,382 |
| 74 | 167.18.64.0/18 | 167.18.64.1 to 167.18.127.254 | 167.18.127.255 | 16,382 |
| 75 | 167.18.128.0/18 | 167.18.128.1 to 167.18.191.254 | 167.18.191.255 | 16,382 |
| 76 | 167.18.192.0/18 | 167.18.192.1 to 167.18.255.254 | 167.18.255.255 | 16,382 |
| 77 | 167.19.0.0/18 | 167.19.0.1 to 167.19.63.254 | 167.19.63.255 | 16,382 |
| 78 | 167.19.64.0/18 | 167.19.64.1 to 167.19.127.254 | 167.19.127.255 | 16,382 |
| 79 | 167.19.128.0/18 | 167.19.128.1 to 167.19.191.254 | 167.19.191.255 | 16,382 |
| 80 | 167.19.192.0/18 | 167.19.192.1 to 167.19.255.254 | 167.19.255.255 | 16,382 |
| 81 | 167.20.0.0/18 | 167.20.0.1 to 167.20.63.254 | 167.20.63.255 | 16,382 |
| 82 | 167.20.64.0/18 | 167.20.64.1 to 167.20.127.254 | 167.20.127.255 | 16,382 |
| 83 | 167.20.128.0/18 | 167.20.128.1 to 167.20.191.254 | 167.20.191.255 | 16,382 |
| 84 | 167.20.192.0/18 | 167.20.192.1 to 167.20.255.254 | 167.20.255.255 | 16,382 |
| 85 | 167.21.0.0/18 | 167.21.0.1 to 167.21.63.254 | 167.21.63.255 | 16,382 |
| 86 | 167.21.64.0/18 | 167.21.64.1 to 167.21.127.254 | 167.21.127.255 | 16,382 |
| 87 | 167.21.128.0/18 | 167.21.128.1 to 167.21.191.254 | 167.21.191.255 | 16,382 |
| 88 | 167.21.192.0/18 | 167.21.192.1 to 167.21.255.254 | 167.21.255.255 | 16,382 |
| 89 | 167.22.0.0/18 | 167.22.0.1 to 167.22.63.254 | 167.22.63.255 | 16,382 |
| 90 | 167.22.64.0/18 | 167.22.64.1 to 167.22.127.254 | 167.22.127.255 | 16,382 |
| 91 | 167.22.128.0/18 | 167.22.128.1 to 167.22.191.254 | 167.22.191.255 | 16,382 |
| 92 | 167.22.192.0/18 | 167.22.192.1 to 167.22.255.254 | 167.22.255.255 | 16,382 |
| 93 | 167.23.0.0/18 | 167.23.0.1 to 167.23.63.254 | 167.23.63.255 | 16,382 |
| 94 | 167.23.64.0/18 | 167.23.64.1 to 167.23.127.254 | 167.23.127.255 | 16,382 |
| 95 | 167.23.128.0/18 | 167.23.128.1 to 167.23.191.254 | 167.23.191.255 | 16,382 |
| 96 | 167.23.192.0/18 | 167.23.192.1 to 167.23.255.254 | 167.23.255.255 | 16,382 |
| 97 | 167.24.0.0/18 | 167.24.0.1 to 167.24.63.254 | 167.24.63.255 | 16,382 |
| 98 | 167.24.64.0/18 | 167.24.64.1 to 167.24.127.254 | 167.24.127.255 | 16,382 |
| 99 | 167.24.128.0/18 | 167.24.128.1 to 167.24.191.254 | 167.24.191.255 | 16,382 |
| 100 | 167.24.192.0/18 | 167.24.192.1 to 167.24.255.254 | 167.24.255.255 | 16,382 |
| 101 | 167.25.0.0/18 | 167.25.0.1 to 167.25.63.254 | 167.25.63.255 | 16,382 |
| 102 | 167.25.64.0/18 | 167.25.64.1 to 167.25.127.254 | 167.25.127.255 | 16,382 |
| 103 | 167.25.128.0/18 | 167.25.128.1 to 167.25.191.254 | 167.25.191.255 | 16,382 |
| 104 | 167.25.192.0/18 | 167.25.192.1 to 167.25.255.254 | 167.25.255.255 | 16,382 |
| 105 | 167.26.0.0/18 | 167.26.0.1 to 167.26.63.254 | 167.26.63.255 | 16,382 |
| 106 | 167.26.64.0/18 | 167.26.64.1 to 167.26.127.254 | 167.26.127.255 | 16,382 |
| 107 | 167.26.128.0/18 | 167.26.128.1 to 167.26.191.254 | 167.26.191.255 | 16,382 |
| 108 | 167.26.192.0/18 | 167.26.192.1 to 167.26.255.254 | 167.26.255.255 | 16,382 |
| 109 | 167.27.0.0/18 | 167.27.0.1 to 167.27.63.254 | 167.27.63.255 | 16,382 |
| 110 | 167.27.64.0/18 | 167.27.64.1 to 167.27.127.254 | 167.27.127.255 | 16,382 |
| 111 | 167.27.128.0/18 | 167.27.128.1 to 167.27.191.254 | 167.27.191.255 | 16,382 |
| 112 | 167.27.192.0/18 | 167.27.192.1 to 167.27.255.254 | 167.27.255.255 | 16,382 |
| 113 | 167.28.0.0/18 | 167.28.0.1 to 167.28.63.254 | 167.28.63.255 | 16,382 |
| 114 | 167.28.64.0/18 | 167.28.64.1 to 167.28.127.254 | 167.28.127.255 | 16,382 |
| 115 | 167.28.128.0/18 | 167.28.128.1 to 167.28.191.254 | 167.28.191.255 | 16,382 |
| 116 | 167.28.192.0/18 | 167.28.192.1 to 167.28.255.254 | 167.28.255.255 | 16,382 |
| 117 | 167.29.0.0/18 | 167.29.0.1 to 167.29.63.254 | 167.29.63.255 | 16,382 |
| 118 | 167.29.64.0/18 | 167.29.64.1 to 167.29.127.254 | 167.29.127.255 | 16,382 |
| 119 | 167.29.128.0/18 | 167.29.128.1 to 167.29.191.254 | 167.29.191.255 | 16,382 |
| 120 | 167.29.192.0/18 | 167.29.192.1 to 167.29.255.254 | 167.29.255.255 | 16,382 |
| 121 | 167.30.0.0/18 | 167.30.0.1 to 167.30.63.254 | 167.30.63.255 | 16,382 |
| 122 | 167.30.64.0/18 | 167.30.64.1 to 167.30.127.254 | 167.30.127.255 | 16,382 |
| 123 | 167.30.128.0/18 | 167.30.128.1 to 167.30.191.254 | 167.30.191.255 | 16,382 |
| 124 | 167.30.192.0/18 | 167.30.192.1 to 167.30.255.254 | 167.30.255.255 | 16,382 |
| 125 | 167.31.0.0/18 | 167.31.0.1 to 167.31.63.254 | 167.31.63.255 | 16,382 |
| 126 | 167.31.64.0/18 | 167.31.64.1 to 167.31.127.254 | 167.31.127.255 | 16,382 |
| 127 | 167.31.128.0/18 | 167.31.128.1 to 167.31.191.254 | 167.31.191.255 | 16,382 |
| 128 | 167.31.192.0/18 | 167.31.192.1 to 167.31.255.254 | 167.31.255.255 | 16,382 |
| 129 | 167.32.0.0/18 | 167.32.0.1 to 167.32.63.254 | 167.32.63.255 | 16,382 |
| 130 | 167.32.64.0/18 | 167.32.64.1 to 167.32.127.254 | 167.32.127.255 | 16,382 |
| 131 | 167.32.128.0/18 | 167.32.128.1 to 167.32.191.254 | 167.32.191.255 | 16,382 |
| 132 | 167.32.192.0/18 | 167.32.192.1 to 167.32.255.254 | 167.32.255.255 | 16,382 |
| 133 | 167.33.0.0/18 | 167.33.0.1 to 167.33.63.254 | 167.33.63.255 | 16,382 |
| 134 | 167.33.64.0/18 | 167.33.64.1 to 167.33.127.254 | 167.33.127.255 | 16,382 |
| 135 | 167.33.128.0/18 | 167.33.128.1 to 167.33.191.254 | 167.33.191.255 | 16,382 |
| 136 | 167.33.192.0/18 | 167.33.192.1 to 167.33.255.254 | 167.33.255.255 | 16,382 |
| 137 | 167.34.0.0/18 | 167.34.0.1 to 167.34.63.254 | 167.34.63.255 | 16,382 |
| 138 | 167.34.64.0/18 | 167.34.64.1 to 167.34.127.254 | 167.34.127.255 | 16,382 |
| 139 | 167.34.128.0/18 | 167.34.128.1 to 167.34.191.254 | 167.34.191.255 | 16,382 |
| 140 | 167.34.192.0/18 | 167.34.192.1 to 167.34.255.254 | 167.34.255.255 | 16,382 |
| 141 | 167.35.0.0/18 | 167.35.0.1 to 167.35.63.254 | 167.35.63.255 | 16,382 |
| 142 | 167.35.64.0/18 | 167.35.64.1 to 167.35.127.254 | 167.35.127.255 | 16,382 |
| 143 | 167.35.128.0/18 | 167.35.128.1 to 167.35.191.254 | 167.35.191.255 | 16,382 |
| 144 | 167.35.192.0/18 | 167.35.192.1 to 167.35.255.254 | 167.35.255.255 | 16,382 |
| 145 | 167.36.0.0/18 | 167.36.0.1 to 167.36.63.254 | 167.36.63.255 | 16,382 |
| 146 | 167.36.64.0/18 | 167.36.64.1 to 167.36.127.254 | 167.36.127.255 | 16,382 |
| 147 | 167.36.128.0/18 | 167.36.128.1 to 167.36.191.254 | 167.36.191.255 | 16,382 |
| 148 | 167.36.192.0/18 | 167.36.192.1 to 167.36.255.254 | 167.36.255.255 | 16,382 |
| 149 | 167.37.0.0/18 | 167.37.0.1 to 167.37.63.254 | 167.37.63.255 | 16,382 |
| 150 | 167.37.64.0/18 | 167.37.64.1 to 167.37.127.254 | 167.37.127.255 | 16,382 |
| 151 | 167.37.128.0/18 | 167.37.128.1 to 167.37.191.254 | 167.37.191.255 | 16,382 |
| 152 | 167.37.192.0/18 | 167.37.192.1 to 167.37.255.254 | 167.37.255.255 | 16,382 |
| 153 | 167.38.0.0/18 | 167.38.0.1 to 167.38.63.254 | 167.38.63.255 | 16,382 |
| 154 | 167.38.64.0/18 | 167.38.64.1 to 167.38.127.254 | 167.38.127.255 | 16,382 |
| 155 | 167.38.128.0/18 | 167.38.128.1 to 167.38.191.254 | 167.38.191.255 | 16,382 |
| 156 | 167.38.192.0/18 | 167.38.192.1 to 167.38.255.254 | 167.38.255.255 | 16,382 |
| 157 | 167.39.0.0/18 | 167.39.0.1 to 167.39.63.254 | 167.39.63.255 | 16,382 |
| 158 | 167.39.64.0/18 | 167.39.64.1 to 167.39.127.254 | 167.39.127.255 | 16,382 |
| 159 | 167.39.128.0/18 | 167.39.128.1 to 167.39.191.254 | 167.39.191.255 | 16,382 |
| 160 | 167.39.192.0/18 | 167.39.192.1 to 167.39.255.254 | 167.39.255.255 | 16,382 |
| 161 | 167.40.0.0/18 | 167.40.0.1 to 167.40.63.254 | 167.40.63.255 | 16,382 |
| 162 | 167.40.64.0/18 | 167.40.64.1 to 167.40.127.254 | 167.40.127.255 | 16,382 |
| 163 | 167.40.128.0/18 | 167.40.128.1 to 167.40.191.254 | 167.40.191.255 | 16,382 |
| 164 | 167.40.192.0/18 | 167.40.192.1 to 167.40.255.254 | 167.40.255.255 | 16,382 |
| 165 | 167.41.0.0/18 | 167.41.0.1 to 167.41.63.254 | 167.41.63.255 | 16,382 |
| 166 | 167.41.64.0/18 | 167.41.64.1 to 167.41.127.254 | 167.41.127.255 | 16,382 |
| 167 | 167.41.128.0/18 | 167.41.128.1 to 167.41.191.254 | 167.41.191.255 | 16,382 |
| 168 | 167.41.192.0/18 | 167.41.192.1 to 167.41.255.254 | 167.41.255.255 | 16,382 |
| 169 | 167.42.0.0/18 | 167.42.0.1 to 167.42.63.254 | 167.42.63.255 | 16,382 |
| 170 | 167.42.64.0/18 | 167.42.64.1 to 167.42.127.254 | 167.42.127.255 | 16,382 |
| 171 | 167.42.128.0/18 | 167.42.128.1 to 167.42.191.254 | 167.42.191.255 | 16,382 |
| 172 | 167.42.192.0/18 | 167.42.192.1 to 167.42.255.254 | 167.42.255.255 | 16,382 |
| 173 | 167.43.0.0/18 | 167.43.0.1 to 167.43.63.254 | 167.43.63.255 | 16,382 |
| 174 | 167.43.64.0/18 | 167.43.64.1 to 167.43.127.254 | 167.43.127.255 | 16,382 |
| 175 | 167.43.128.0/18 | 167.43.128.1 to 167.43.191.254 | 167.43.191.255 | 16,382 |
| 176 | 167.43.192.0/18 | 167.43.192.1 to 167.43.255.254 | 167.43.255.255 | 16,382 |
| 177 | 167.44.0.0/18 | 167.44.0.1 to 167.44.63.254 | 167.44.63.255 | 16,382 |
| 178 | 167.44.64.0/18 | 167.44.64.1 to 167.44.127.254 | 167.44.127.255 | 16,382 |
| 179 | 167.44.128.0/18 | 167.44.128.1 to 167.44.191.254 | 167.44.191.255 | 16,382 |
| 180 | 167.44.192.0/18 | 167.44.192.1 to 167.44.255.254 | 167.44.255.255 | 16,382 |
| 181 | 167.45.0.0/18 | 167.45.0.1 to 167.45.63.254 | 167.45.63.255 | 16,382 |
| 182 | 167.45.64.0/18 | 167.45.64.1 to 167.45.127.254 | 167.45.127.255 | 16,382 |
| 183 | 167.45.128.0/18 | 167.45.128.1 to 167.45.191.254 | 167.45.191.255 | 16,382 |
| 184 | 167.45.192.0/18 | 167.45.192.1 to 167.45.255.254 | 167.45.255.255 | 16,382 |
| 185 | 167.46.0.0/18 | 167.46.0.1 to 167.46.63.254 | 167.46.63.255 | 16,382 |
| 186 | 167.46.64.0/18 | 167.46.64.1 to 167.46.127.254 | 167.46.127.255 | 16,382 |
| 187 | 167.46.128.0/18 | 167.46.128.1 to 167.46.191.254 | 167.46.191.255 | 16,382 |
| 188 | 167.46.192.0/18 | 167.46.192.1 to 167.46.255.254 | 167.46.255.255 | 16,382 |
| 189 | 167.47.0.0/18 | 167.47.0.1 to 167.47.63.254 | 167.47.63.255 | 16,382 |
| 190 | 167.47.64.0/18 | 167.47.64.1 to 167.47.127.254 | 167.47.127.255 | 16,382 |
| 191 | 167.47.128.0/18 | 167.47.128.1 to 167.47.191.254 | 167.47.191.255 | 16,382 |
| 192 | 167.47.192.0/18 | 167.47.192.1 to 167.47.255.254 | 167.47.255.255 | 16,382 |
| 193 | 167.48.0.0/18 | 167.48.0.1 to 167.48.63.254 | 167.48.63.255 | 16,382 |
| 194 | 167.48.64.0/18 | 167.48.64.1 to 167.48.127.254 | 167.48.127.255 | 16,382 |
| 195 | 167.48.128.0/18 | 167.48.128.1 to 167.48.191.254 | 167.48.191.255 | 16,382 |
| 196 | 167.48.192.0/18 | 167.48.192.1 to 167.48.255.254 | 167.48.255.255 | 16,382 |
| 197 | 167.49.0.0/18 | 167.49.0.1 to 167.49.63.254 | 167.49.63.255 | 16,382 |
| 198 | 167.49.64.0/18 | 167.49.64.1 to 167.49.127.254 | 167.49.127.255 | 16,382 |
| 199 | 167.49.128.0/18 | 167.49.128.1 to 167.49.191.254 | 167.49.191.255 | 16,382 |
| 200 | 167.49.192.0/18 | 167.49.192.1 to 167.49.255.254 | 167.49.255.255 | 16,382 |
| 201 | 167.50.0.0/18 | 167.50.0.1 to 167.50.63.254 | 167.50.63.255 | 16,382 |
| 202 | 167.50.64.0/18 | 167.50.64.1 to 167.50.127.254 | 167.50.127.255 | 16,382 |
| 203 | 167.50.128.0/18 | 167.50.128.1 to 167.50.191.254 | 167.50.191.255 | 16,382 |
| 204 | 167.50.192.0/18 | 167.50.192.1 to 167.50.255.254 | 167.50.255.255 | 16,382 |
| 205 | 167.51.0.0/18 | 167.51.0.1 to 167.51.63.254 | 167.51.63.255 | 16,382 |
| 206 | 167.51.64.0/18 | 167.51.64.1 to 167.51.127.254 | 167.51.127.255 | 16,382 |
| 207 | 167.51.128.0/18 | 167.51.128.1 to 167.51.191.254 | 167.51.191.255 | 16,382 |
| 208 | 167.51.192.0/18 | 167.51.192.1 to 167.51.255.254 | 167.51.255.255 | 16,382 |
| 209 | 167.52.0.0/18 | 167.52.0.1 to 167.52.63.254 | 167.52.63.255 | 16,382 |
| 210 | 167.52.64.0/18 | 167.52.64.1 to 167.52.127.254 | 167.52.127.255 | 16,382 |
| 211 | 167.52.128.0/18 | 167.52.128.1 to 167.52.191.254 | 167.52.191.255 | 16,382 |
| 212 | 167.52.192.0/18 | 167.52.192.1 to 167.52.255.254 | 167.52.255.255 | 16,382 |
| 213 | 167.53.0.0/18 | 167.53.0.1 to 167.53.63.254 | 167.53.63.255 | 16,382 |
| 214 | 167.53.64.0/18 | 167.53.64.1 to 167.53.127.254 | 167.53.127.255 | 16,382 |
| 215 | 167.53.128.0/18 | 167.53.128.1 to 167.53.191.254 | 167.53.191.255 | 16,382 |
| 216 | 167.53.192.0/18 | 167.53.192.1 to 167.53.255.254 | 167.53.255.255 | 16,382 |
| 217 | 167.54.0.0/18 | 167.54.0.1 to 167.54.63.254 | 167.54.63.255 | 16,382 |
| 218 | 167.54.64.0/18 | 167.54.64.1 to 167.54.127.254 | 167.54.127.255 | 16,382 |
| 219 | 167.54.128.0/18 | 167.54.128.1 to 167.54.191.254 | 167.54.191.255 | 16,382 |
| 220 | 167.54.192.0/18 | 167.54.192.1 to 167.54.255.254 | 167.54.255.255 | 16,382 |
| 221 | 167.55.0.0/18 | 167.55.0.1 to 167.55.63.254 | 167.55.63.255 | 16,382 |
| 222 | 167.55.64.0/18 | 167.55.64.1 to 167.55.127.254 | 167.55.127.255 | 16,382 |
| 223 | 167.55.128.0/18 | 167.55.128.1 to 167.55.191.254 | 167.55.191.255 | 16,382 |
| 224 | 167.55.192.0/18 | 167.55.192.1 to 167.55.255.254 | 167.55.255.255 | 16,382 |
| 225 | 167.56.0.0/18 | 167.56.0.1 to 167.56.63.254 | 167.56.63.255 | 16,382 |
| 226 | 167.56.64.0/18 | 167.56.64.1 to 167.56.127.254 | 167.56.127.255 | 16,382 |
| 227 | 167.56.128.0/18 | 167.56.128.1 to 167.56.191.254 | 167.56.191.255 | 16,382 |
| 228 | 167.56.192.0/18 | 167.56.192.1 to 167.56.255.254 | 167.56.255.255 | 16,382 |
| 229 | 167.57.0.0/18 | 167.57.0.1 to 167.57.63.254 | 167.57.63.255 | 16,382 |
| 230 | 167.57.64.0/18 | 167.57.64.1 to 167.57.127.254 | 167.57.127.255 | 16,382 |
| 231 | 167.57.128.0/18 | 167.57.128.1 to 167.57.191.254 | 167.57.191.255 | 16,382 |
| 232 | 167.57.192.0/18 | 167.57.192.1 to 167.57.255.254 | 167.57.255.255 | 16,382 |
| 233 | 167.58.0.0/18 | 167.58.0.1 to 167.58.63.254 | 167.58.63.255 | 16,382 |
| 234 | 167.58.64.0/18 | 167.58.64.1 to 167.58.127.254 | 167.58.127.255 | 16,382 |
| 235 | 167.58.128.0/18 | 167.58.128.1 to 167.58.191.254 | 167.58.191.255 | 16,382 |
| 236 | 167.58.192.0/18 | 167.58.192.1 to 167.58.255.254 | 167.58.255.255 | 16,382 |
| 237 | 167.59.0.0/18 | 167.59.0.1 to 167.59.63.254 | 167.59.63.255 | 16,382 |
| 238 | 167.59.64.0/18 | 167.59.64.1 to 167.59.127.254 | 167.59.127.255 | 16,382 |
| 239 | 167.59.128.0/18 | 167.59.128.1 to 167.59.191.254 | 167.59.191.255 | 16,382 |
| 240 | 167.59.192.0/18 | 167.59.192.1 to 167.59.255.254 | 167.59.255.255 | 16,382 |
| 241 | 167.60.0.0/18 | 167.60.0.1 to 167.60.63.254 | 167.60.63.255 | 16,382 |
| 242 | 167.60.64.0/18 | 167.60.64.1 to 167.60.127.254 | 167.60.127.255 | 16,382 |
| 243 | 167.60.128.0/18 | 167.60.128.1 to 167.60.191.254 | 167.60.191.255 | 16,382 |
| 244 | 167.60.192.0/18 | 167.60.192.1 to 167.60.255.254 | 167.60.255.255 | 16,382 |
| 245 | 167.61.0.0/18 | 167.61.0.1 to 167.61.63.254 | 167.61.63.255 | 16,382 |
| 246 | 167.61.64.0/18 | 167.61.64.1 to 167.61.127.254 | 167.61.127.255 | 16,382 |
| 247 | 167.61.128.0/18 | 167.61.128.1 to 167.61.191.254 | 167.61.191.255 | 16,382 |
| 248 | 167.61.192.0/18 | 167.61.192.1 to 167.61.255.254 | 167.61.255.255 | 16,382 |
| 249 | 167.62.0.0/18 | 167.62.0.1 to 167.62.63.254 | 167.62.63.255 | 16,382 |
| 250 | 167.62.64.0/18 | 167.62.64.1 to 167.62.127.254 | 167.62.127.255 | 16,382 |
| 251 | 167.62.128.0/18 | 167.62.128.1 to 167.62.191.254 | 167.62.191.255 | 16,382 |
| 252 | 167.62.192.0/18 | 167.62.192.1 to 167.62.255.254 | 167.62.255.255 | 16,382 |
| 253 | 167.63.0.0/18 | 167.63.0.1 to 167.63.63.254 | 167.63.63.255 | 16,382 |
| 254 | 167.63.64.0/18 | 167.63.64.1 to 167.63.127.254 | 167.63.127.255 | 16,382 |
| 255 | 167.63.128.0/18 | 167.63.128.1 to 167.63.191.254 | 167.63.191.255 | 16,382 |
| 256 | 167.63.192.0/18 | 167.63.192.1 to 167.63.255.254 | 167.63.255.255 | 16,382 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |